## golang-github-cznic-strutil 0.0~git20150430.0.1eb03e3

=== Makefile ===
# Copyright (c) 2014 The sortutil Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

.PHONY:	all clean cover cpu editor internalError later mem nuke todo

grep=--include=*.go --include=*.l --include=*.y

all: editor
	go vet || true
	golint || true
	make todo

clean:
	go clean
	rm -f *~ cpu.test mem.test

cover:
	t=$(shell tempfile) ; go test -coverprofile $$t && go tool cover -html $$t && unlink $$t

cpu:
	go test -c -o cpu.test
	./cpu.test -noerr -test.cpuprofile cpu.out
	go tool pprof --lines cpu.test cpu.out

editor:
	gofmt -l -s -w *.go
	go test
	go install

internalError:
	egrep -ho '"internal error.*"' *.go | sort | cat -n

later:
	@grep -n $(grep) LATER * || true
	@grep -n $(grep) MAYBE * || true

mem:
	go test -c -o mem.test
	./mem.test -test.bench . -test.memprofile mem.out
	go tool pprof --lines --web --alloc_space mem.test mem.out

nuke: clean
	go clean -i

todo:
	@grep -nr $(grep) ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alpha:]][[:alnum:]]* * || true
	@grep -nr $(grep) TODO * || true
	@grep -nr $(grep) BUG * || true
	@grep -nr $(grep) [^[:alpha:]]println * || true

=== debian/changelog ===
golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-3) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Use secure copyright file specification URI.
  * Bump debhelper dependency to >= 9, since that's what is used in debian/compat.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 01 Jul 2022 00:32:52 +0100

golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-2) unstable; urgency=medium

  [ Tim Potter ]
  * Add me to uploaders

  [ Michael Stapelberg ]
  * Fix Vcs-Git URL

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 28 Jan 2018 20:21:09 +0100

golang-github-cznic-strutil (0.0~git20150430.0.1eb03e3-1) unstable; urgency=medium

  * Initial release (Closes: #814060).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 05 Nov 2015 00:41:03 +1100

=== debian/control ===
Source: golang-github-cznic-strutil
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-go,
               golang-github-cznic-mathutil-dev
Standards-Version: 3.9.6
Homepage: https://github.com/cznic/strutil
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-strutil
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-strutil.git
XS-Go-Import-Path: github.com/cznic/strutil

Package: golang-github-cznic-strutil-dev
Architecture: all
Depends: ${misc:Depends},
         golang-go,
         golang-github-cznic-mathutil-dev
Description: extensions to standard Go "strings" package
 Utilities supplemental to the Go standard "strings" package.
